# Class VerticalMerge

Vertical merge element. Should be used in a table cell.

#### Hierarchy

- XmlComponent
  - VerticalMerge

- Defined in file/table/table-cell/table-cell-components.ts:103

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new VerticalMerge(value): VerticalMerge

- #### Parameters

  - ##### value: "continue" | "restart"

  #### Returns VerticalMerge

  Overrides XmlComponent.constructor

  - Defined in file/table/table-cell/table-cell-components.ts:104

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc